## com.gargoylesoftware.htmlunit.html
Class HtmlAttributeChangeEvent

    java.lang.Object
      java.util.EventObject
          com.gargoylesoftware.htmlunit.html.HtmlAttributeChangeEvent

All Implemented Interfaces:
  java.io.Serializable

    public class HtmlAttributeChangeEvent

extends java.util.EventObject

This is the event class for notifications about changes to the attributes of the HtmlElement.

Version:
  $Revision: 4002 $
Author:
  Ahmed Ashour
See Also:
  `HtmlAttributeChangeListener`, Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`HtmlAttributeChangeEvent(HtmlElement element, java.lang.String name, java.lang.String value)` Constructs a new AttributeEvent from the given element, for the given attribute name and attribute value.

Method Summary
`HtmlElement` `getHtmlElement()` Returns the HtmlElement that changed.
`java.lang.String` `getName()` Returns the name of the attribute that changed on the element.
`java.lang.String` `getValue()` Returns the value of the attribute that has been added, removed, or replaced.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HtmlAttributeChangeEvent

    public HtmlAttributeChangeEvent(HtmlElement element,
                                    java.lang.String name,
                                    java.lang.String value)

  Constructs a new AttributeEvent from the given element, for the given attribute name and attribute value.

  Parameters:
    `element` - the element that is sending the event
    `name` - the name of the attribute that changed on the element
    `value` - the value of the attribute that has been added, removed, or replaced

Method Detail

### getHtmlElement

    public HtmlElement getHtmlElement()

  Returns the HtmlElement that changed.

  Returns:
    the HtmlElement that sent the event

### getName

    public java.lang.String getName()

  Returns the name of the attribute that changed on the element.

  Returns:
    the name of the attribute that changed on the element

### getValue

    public java.lang.String getValue()

  Returns the value of the attribute that has been added, removed, or replaced. If the attribute was added, this is the value of the attribute. If the attribute was removed, this is the value of the removed attribute. If the attribute was replaced, this is the old value of the attribute.

  Returns:
    the value of the attribute that has been added, removed, or replaced

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.